
From: Andreas Gruenbacher <agruen@suse.de>

In-inode xattr entry descriptors are unsorted.

Signed-off-by: Andreas Gruenbacher <agruen@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/ext3/xattr.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN fs/ext3/xattr.c~ext3-ea-documentation-fix fs/ext3/xattr.c
--- 25/fs/ext3/xattr.c~ext3-ea-documentation-fix	2005-01-19 19:39:36.521386184 -0800
+++ 25-akpm/fs/ext3/xattr.c	2005-01-19 19:39:36.525385576 -0800
@@ -37,9 +37,9 @@
  *   | value 2          | |
  *   +------------------+
  *
- * The header is followed by multiple entry descriptors. Descriptors are
- * kept sorted. The attribute values are aligned to the end of the block
- * in no specific order.
+ * The header is followed by multiple entry descriptors. In disk blocks, the
+ * entry descriptors are kept sorted. In inodes, they are unsorted. The
+ * attribute values are aligned to the end of the block in no specific order.
  *
  * Locking strategy
  * ----------------
_
